uses ClipBrd;

var
  i: Integer;

const
  names: array[cf_Text..cf_Palette] of PChar =
    ('Text', 'Bitmap', 'MetafilePict', 'SYLK', 'DIF', 'TIFF', 'OEMText',
     'DIB', 'Palette');

begin
  OpenClipboard;
  For i := cf_Bitmap to cf_Palette do
    Writeln(GetClipboardDataSize(i): 6, '  cf_', names[i]);
  CloseClipboard;
End.
